QGIS Application - Bug report #7918

in qgis composer, moving a group of selected items results in only the first item being moved

2013-05-27 09:09 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category:

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 16790
Description

Straight forward issue. Steps to reproduce:

1. Create a new print composer

2. Add three label items

3. Select the three items via shif + left click

4. Move the items by holding left click and dragging mouse

Only the first item is moved, while what's expected is for all items to be moved.

Note: moving the selected items via keyboard arrows does work.

Associated revisions

Revision 24d11060 - 2013-10-02 09:09 AM - Nyall Dawson
[FEATURE] Allow multi item drag and resize in composer (fix #7918)

[FEATURE] Always draw selection handles on top of composition, add dashed border for selected items (fix #7793)

Move responsibility for drawing selection mouse handles and mouse interaction with selection to new class

History

#1 - 2013-05-28 12:31 AM - Giovanni Manghi
- Category set to 33

#2 - 2013-05-28 05:08 AM - Nyall Dawson
- Assignee set to Nyall Dawson

#3 - 2013-10-02 12:32 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"24d110606c9fa58e57feed337dd2ded0af4eaasdf".
